Mailinglist Archive: opensuse-security-announce (36 mails)

< Previous Next >
[security-announce] SUSE-SU-2013:0341-1: important: Security update for Linux kernel
SUSE Security Update: Security update for Linux kernel
______________________________________________________________________________

Announcement ID: SUSE-SU-2013:0341-1
Rating: important
References: #779577 #803056 #804154
Cross-References: CVE-2013-0871
Affected Products:
SUSE Linux Enterprise Server 11 SP2 for VMware
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise High Availability Extension 11 SP2
SUSE Linux Enterprise Desktop 11 SP2
SLE 11 SERVER Unsupported Extras
______________________________________________________________________________

An update that solves one vulnerability and has two fixes
is now available. It includes one version update.

Description:


The SUSE Linux Enterprise 11 SP2 kernel has been updated to
fix two issues:

One severe security issue:

* CVE-2013-0871: A race condition in ptrace(2) could be
used by local attackers to crash the kernel and/or execute
code in kernel context.

One severe regression issue:

* A regression in UNIX domain socket credential
passing. The default disabling of passing credentials
caused regression in some software packages that did not
expect this. One major software package affected by this
was the Open Enterprise Server stack.

Security Issue reference:

* CVE-2013-0871
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-0871
>

Indications:

Everyone using the Linux Kernel on x86_64 architecture should update.

Special Instructions and Notes:

Please reboot the system after installing this update.

Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Server 11 SP2 for VMware:

zypper in -t patch slessp2-kernel-7370 slessp2-kernel-7374

- SUSE Linux Enterprise Server 11 SP2:

zypper in -t patch slessp2-kernel-7370 slessp2-kernel-7371
slessp2-kernel-7372 slessp2-kernel-7373 slessp2-kernel-7374

- SUSE Linux Enterprise High Availability Extension 11 SP2:

zypper in -t patch sleshasp2-kernel-7370 sleshasp2-kernel-7371
sleshasp2-kernel-7372 sleshasp2-kernel-7373 sleshasp2-kernel-7374

- SUSE Linux Enterprise Desktop 11 SP2:

zypper in -t patch sledsp2-kernel-7370 sledsp2-kernel-7374

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Server 11 SP2 for VMware (i586 x86_64) [New Version:
3.0.58]:

kernel-default-3.0.58-0.6.6.1
kernel-default-base-3.0.58-0.6.6.1
kernel-default-devel-3.0.58-0.6.6.1
kernel-source-3.0.58-0.6.6.1
kernel-syms-3.0.58-0.6.6.1
kernel-trace-3.0.58-0.6.6.1
kernel-trace-base-3.0.58-0.6.6.1
kernel-trace-devel-3.0.58-0.6.6.1
kernel-xen-devel-3.0.58-0.6.6.1

- SUSE Linux Enterprise Server 11 SP2 for VMware (x86_64):

xen-kmp-trace-4.1.3_06_3.0.58_0.6.6-0.7.22

- SUSE Linux Enterprise Server 11 SP2 for VMware (i586) [New Version:
3.0.58]:

kernel-pae-3.0.58-0.6.6.1
kernel-pae-base-3.0.58-0.6.6.1
kernel-pae-devel-3.0.58-0.6.6.1

- SUSE Linux Enterprise Server 11 SP2 (i586 ia64 ppc64 s390x x86_64) [New
Version: 3.0.58]:

kernel-default-3.0.58-0.6.6.1
kernel-default-base-3.0.58-0.6.6.1
kernel-default-devel-3.0.58-0.6.6.1
kernel-source-3.0.58-0.6.6.1
kernel-syms-3.0.58-0.6.6.1
kernel-trace-3.0.58-0.6.6.1
kernel-trace-base-3.0.58-0.6.6.1
kernel-trace-devel-3.0.58-0.6.6.1

- SUSE Linux Enterprise Server 11 SP2 (i586 x86_64) [New Version: 3.0.58]:

kernel-ec2-3.0.58-0.6.6.1
kernel-ec2-base-3.0.58-0.6.6.1
kernel-ec2-devel-3.0.58-0.6.6.1
kernel-xen-3.0.58-0.6.6.1
kernel-xen-base-3.0.58-0.6.6.1
kernel-xen-devel-3.0.58-0.6.6.1

- SUSE Linux Enterprise Server 11 SP2 (x86_64):

xen-kmp-default-4.1.3_06_3.0.58_0.6.6-0.7.22
xen-kmp-trace-4.1.3_06_3.0.58_0.6.6-0.7.22

- SUSE Linux Enterprise Server 11 SP2 (s390x) [New Version: 3.0.58]:

kernel-default-man-3.0.58-0.6.6.1

- SUSE Linux Enterprise Server 11 SP2 (ppc64) [New Version: 3.0.58]:

kernel-ppc64-3.0.58-0.6.6.1
kernel-ppc64-base-3.0.58-0.6.6.1
kernel-ppc64-devel-3.0.58-0.6.6.1

- SUSE Linux Enterprise Server 11 SP2 (i586) [New Version: 3.0.58]:

kernel-pae-3.0.58-0.6.6.1
kernel-pae-base-3.0.58-0.6.6.1
kernel-pae-devel-3.0.58-0.6.6.1

- SUSE Linux Enterprise High Availability Extension 11 SP2 (i586 ia64 ppc64
s390x x86_64):

cluster-network-kmp-default-1.4_3.0.58_0.6.6-2.18.22
cluster-network-kmp-trace-1.4_3.0.58_0.6.6-2.18.22
gfs2-kmp-default-2_3.0.58_0.6.6-0.7.56
gfs2-kmp-trace-2_3.0.58_0.6.6-0.7.56
ocfs2-kmp-default-1.6_3.0.58_0.6.6-0.11.21
ocfs2-kmp-trace-1.6_3.0.58_0.6.6-0.11.21

- SUSE Linux Enterprise High Availability Extension 11 SP2 (i586 x86_64):

cluster-network-kmp-xen-1.4_3.0.58_0.6.6-2.18.22
gfs2-kmp-xen-2_3.0.58_0.6.6-0.7.56
ocfs2-kmp-xen-1.6_3.0.58_0.6.6-0.11.21

- SUSE Linux Enterprise High Availability Extension 11 SP2 (ppc64):

cluster-network-kmp-ppc64-1.4_3.0.58_0.6.6-2.18.22
gfs2-kmp-ppc64-2_3.0.58_0.6.6-0.7.56
ocfs2-kmp-ppc64-1.6_3.0.58_0.6.6-0.11.21

- SUSE Linux Enterprise High Availability Extension 11 SP2 (i586):

cluster-network-kmp-pae-1.4_3.0.58_0.6.6-2.18.22
gfs2-kmp-pae-2_3.0.58_0.6.6-0.7.56
ocfs2-kmp-pae-1.6_3.0.58_0.6.6-0.11.21

- SUSE Linux Enterprise Desktop 11 SP2 (i586 x86_64) [New Version: 3.0.58]:

kernel-default-3.0.58-0.6.6.1
kernel-default-base-3.0.58-0.6.6.1
kernel-default-devel-3.0.58-0.6.6.1
kernel-default-extra-3.0.58-0.6.6.1
kernel-source-3.0.58-0.6.6.1
kernel-syms-3.0.58-0.6.6.1
kernel-trace-3.0.58-0.6.6.1
kernel-trace-base-3.0.58-0.6.6.1
kernel-trace-devel-3.0.58-0.6.6.1
kernel-trace-extra-3.0.58-0.6.6.1
kernel-xen-3.0.58-0.6.6.1
kernel-xen-base-3.0.58-0.6.6.1
kernel-xen-devel-3.0.58-0.6.6.1
kernel-xen-extra-3.0.58-0.6.6.1

- SUSE Linux Enterprise Desktop 11 SP2 (x86_64):

xen-kmp-default-4.1.3_06_3.0.58_0.6.6-0.7.22
xen-kmp-trace-4.1.3_06_3.0.58_0.6.6-0.7.22

- SUSE Linux Enterprise Desktop 11 SP2 (i586) [New Version: 3.0.58]:

kernel-pae-3.0.58-0.6.6.1
kernel-pae-base-3.0.58-0.6.6.1
kernel-pae-devel-3.0.58-0.6.6.1
kernel-pae-extra-3.0.58-0.6.6.1

- SLE 11 SERVER Unsupported Extras (i586 ia64 ppc64 s390x x86_64):

ext4-writeable-kmp-default-0_3.0.58_0.6.6-0.14.37
ext4-writeable-kmp-trace-0_3.0.58_0.6.6-0.14.37
kernel-default-extra-3.0.58-0.6.6.1

- SLE 11 SERVER Unsupported Extras (i586 x86_64):

ext4-writeable-kmp-xen-0_3.0.58_0.6.6-0.14.37
kernel-xen-extra-3.0.58-0.6.6.1

- SLE 11 SERVER Unsupported Extras (ppc64):

ext4-writeable-kmp-ppc64-0_3.0.58_0.6.6-0.14.37
kernel-ppc64-extra-3.0.58-0.6.6.1

- SLE 11 SERVER Unsupported Extras (i586):

ext4-writeable-kmp-pae-0_3.0.58_0.6.6-0.14.37
kernel-pae-extra-3.0.58-0.6.6.1


References:

http://support.novell.com/security/cve/CVE-2013-0871.html
https://bugzilla.novell.com/779577
https://bugzilla.novell.com/803056
https://bugzilla.novell.com/804154

http://download.novell.com/patch/finder/?keywords=10037186d0231f1a32ce51a56a6264fe

http://download.novell.com/patch/finder/?keywords=49bc84a534c4dc27924ba16b7a059fc2

http://download.novell.com/patch/finder/?keywords=79a6a6374f12b65c28a80b9c0300005a

http://download.novell.com/patch/finder/?keywords=8ef06ed5ef2eb5e3a97dc48a7b8de3a4

http://download.novell.com/patch/finder/?keywords=97d109043a69111836aa0f3a9bca7bee

http://download.novell.com/patch/finder/?keywords=b76bb20a0aae353c64f4c71f71e22032

http://download.novell.com/patch/finder/?keywords=c0204c021417aeea941406c9dc91e999

http://download.novell.com/patch/finder/?keywords=cc29ce8b00fa8115f7ca7a13864749a8

http://download.novell.com/patch/finder/?keywords=d4af3accfd03bb3e5b258483f43bc999

http://download.novell.com/patch/finder/?keywords=e4b8bfc420a27b3e521d1a76a73a7712

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages